#ifdef WITH_APPLET

#include <gtk/gtk.h>
#include <applet-widget.h>
#include "applet.h"
#include "config.h"
#include "util.h"

extern GtkWidget *app;

GtkWidget *applet, *icon, *event_box;

void setup_applet( void )
{
  char *icon_path;
/*FIXME: Why won't it link with this here???? */
/*	FUNCPRINT("Setting up the applet");*/

  applet = applet_widget_new( PACKAGE );

  event_box = gtk_event_box_new ();
  gtk_widget_set_events (event_box, GDK_BUTTON_RELEASE_MASK); 
  gtk_container_add (GTK_CONTAINER( applet ), event_box);

  icon_path = gnome_pixmap_file( "gnome-napster.png" );
  icon = gnome_pixmap_new_from_file( icon_path );
  g_free( icon_path ); /*icon_path is allocated by gnome_pixmap_file.*/
  gtk_container_add( GTK_CONTAINER( event_box ), icon );

  gtk_signal_connect_object( GTK_OBJECT( event_box ), "button_release_event", GTK_SIGNAL_FUNC( button_release_cb ) , NULL );
  applet_widget_add( APPLET_WIDGET( applet ), event_box );
/*	FUNCPRINT("Done");*/
}

void switch_to_applet_mode( void )
{
/*	FUNCPRINT("Switching to applet mode");*/
  gtk_widget_hide( app );
  gtk_widget_show_all( applet );
}

void switch_to_normal_mode( void )
{
/*	FUNCPRINT("Switching to normal mode");*/
  gtk_widget_show_all( app );
  gtk_widget_hide( applet );
}

gint button_release_cb( GtkWidget *w, GdkEvent *event, gpointer data )
{
  switch_to_normal_mode();
}
#endif
