#ifndef __TRANSFER_H__
#define __TRANSFER_H__
#include "lnap.h"
#include "download_thread.h"
/*
#include "upload_thread.h"
*/

extern gboolean transfer_threads_init(int port, int max_downloads, char
*pending_path, char *final_path);
extern gboolean transfer_threads_destroy(void);

extern int transfer_getinfo_cb(snap_packet *p);
extern gboolean transfer_remote_host_full_cb(snap_packet *p);
extern int transfer_get_error_cb(snap_packet *p);

extern gboolean transfer_get_file(char *host, char *filename, int shift);
extern nap_download *transfer_get_info_with_index(int index);
extern nap_download *transfer_get_info(char *host, char *file);
extern gboolean transfer_cancel_with_index(int index);
extern gboolean transfer_cancel(char *host, char *file);
extern void download_done(void);
extern void transfer_reset_local_port(int port);
extern gboolean transfer_add_shared_file(char *filename);
#endif
