/*******************************************
 * sum() returns the md5sum of an mp3 with *
 * the rules that only 299008 bytes are    *
 * hashed, starting at the first frame of  *
 * the mp3.  The byte array result will    *
 * hold a hex string of the digest when    *
 * the function returns.  The return value *
 * is zero if successful, non-zero if      *
 * there was an error.                     *
 *******************************************/

#ifndef MD5SUM_MP3_H
#define MD5SUM_MP3_H

typedef unsigned char byte;

extern int sum(int fd, long hashlen, byte *result);

#endif
